Package org.lwjgl.opengl

# Class ARBCompressedTexturePixelStorage

java.lang.Object
org.lwjgl.opengl.ARBCompressedTexturePixelStorage

public final class ARBCompressedTexturePixelStorage extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PACK_COMPRESSED_BLOCK_DEPTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_DEPTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_UNPACK_COMPRESSED_BLOCK_WIDTH

public static final int GL_UNPACK_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

public static final int GL_UNPACK_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_DEPTH

public static final int GL_UNPACK_COMPRESSED_BLOCK_DEPTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_SIZE

public static final int GL_UNPACK_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_WIDTH

public static final int GL_PACK_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_HEIGHT

public static final int GL_PACK_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_DEPTH

public static final int GL_PACK_COMPRESSED_BLOCK_DEPTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_SIZE

public static final int GL_PACK_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values